Apache Derby LDAP 注入漏洞

来源: 投稿
2023-11-21 11:50:00

漏洞描述

Apache Derby 是开源的关系型数据库管理系统。

受影响版本中,由于 LDAPAuthenticationSchemeImpl#getDNFromUID 方法未对用户可控的 uid 参数进行过滤,当 Apache Derby 启用 Ldap 身份认证时(默认不启用,可通过配置 derby.authentication.provider 为 LDAP 启用),攻击者可构造包含恶意用户名的 Ldap 请求绕过认证控制,执行目标系统中Derby服务器帐户有权访问和执行的恶意软件。对于不受 GRANT/REVOKE 授权保护的数据库,攻击者可利用该漏洞未经授权的访问和修改数据库中的敏感数据。

漏洞名称 Apache Derby LDAP 注入漏洞
漏洞类型 LDAP注入
发现时间 2023-11-20
漏洞影响广度 一般
MPS编号 MPS-2022-65764
CVE编号 CVE-2022-46337
CNVD编号 -

影响范围

derby@[10.1.1.0, 10.17.1.0)

derby@影响所有版本

修复方案

升级derby到 10.17.1.0 或更高版本同时将 jdk 至 jdk21 及以上版本

参考链接

https://www.oscs1024.com/hd/MPS-2022-65764

https://nvd.nist.gov/vuln/detail/CVE-2022-46337

https://issues.apache.org/jira/browse/DERBY-7147

https://issues.apache.org/jira/secure/attachment/13053031/derby-7147-02-ab-escapeLDAPsearchFilter.diff

    

免费情报订阅&代码安全检测

OSCS是国内首个开源软件供应链安全社区,社区联合开发者帮助全球顶级开源项目解决安全问题,并提供实时的安全漏洞情报,同时提供专业的代码安全检测工具为开发者免费使用。社区开发者可以通过配置飞书、钉钉、企业微信机器人获取一手的情报。

免费代码安全检测工具: https://www.murphysec.com/?src=osc

免费情报订阅: https://www.oscs1024.com/cm/?src=osc

具体订阅方式详见: https://www.oscs1024.com/docs/vuln-warning/intro/?src=osc

展开阅读全文
点击加入讨论🔥(1) 发布并加入讨论🔥
1 评论
0 收藏
分享
返回顶部
顶部